SSS_SSH_KNOWNHOSTSPR(1)

NAME
sss_ssh_knownhostsproxy - hämta OpenSSH-värdnycklar

SYNOPSIS

sss_ssh_knownhostsproxy [flaggor] VÄRD [PROXY-KOMMANDO]

LIVSCYKEL

Detta verktyg är föråldrat och kommer tas bort i framtiden. Överväg att använda det mer pålitliga sss_ssh_knownhosts istället.

BESKRIVNING

sss_ssh_knownhostsproxy hämtar publika SSH-värdnycklar för värden VÄRD, lagrar dem i en anpassad OpenSSH-known_hosts-fil (se avsnittet “SSH_KNOWN_HOSTS-FILFORMAT” i sshd(8) för mer information) /var/lib/sss/pubconf/known_hosts och upprättar anslutningen till värden.

Om PROXY-KOMMANDO anges används det för att skapa anslutningen till värden istället för att öppna ett uttag.

ssh(1) kan konfigureras till att använda sss_ssh_knownhostsproxy för värdnyckelautentisering genom att använda följande direktiv i konfigurationen av ssh(1):

    ProxyCommand /usr/bin/sss_ssh_knownhostsproxy -p %p %h
    GlobalKnownHostsFile /var/lib/sss/pubconf/known_hosts

FLAGGOR

-p,--port PORT
    Använd porten PORT för att ansluta till värden. Som standard används port 22.

-d,--domain DOMÄN
    Sök efter värdars publika nycklar i SSSD-domänen DOMÄN.

-k,--pubkey
    Skriv ut värdens publika ssh-nycklar för värden VÄRD.

-?,--help
    Visa ett hjälpmeddelande och avsluta.

SLUTSTATUS

Om det lyckas returneras 0 som slutstatus. Annars returneras 1.

SE ÄVEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

SSSD uppströms – https://github.com/SSSD/sssd/